<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

  <xsl:variable name="nl">
	<xsl:text>
    </xsl:text>
  </xsl:variable>
  <xsl:template match="metaModel">
  <html>
    <head>
    	<TITLE>#metamodelname#</TITLE>
		<STYLE type="text/css">
			body, table, tr, td, a, div, span {
				vertical-align : top;
				font-family: Verdana, Helvetica, Arial, sans-serif;
				font-size:10px
			}
			table { min-width: 600px;}
	.titlerow_blue, .titlerow_blue th  {
		color: #ffffff;
	    background-color : #0099FF;
		font-weight: bold;
		padding-bottom : 1;
		padding-left : 5;
		padding-right : 5;
		padding-top : 1;
	}
    .oddrow_white {
		background-color : #ffffff;
		padding-bottom : 1;
		padding-left : 5;
		padding-right : 5;
		padding-top : 1;
	}
    .evenrow_aliceblue {
		background-color : #E5EFFA;
		color: #000000;
		padding-bottom : 1;
		padding-left : 5;
		padding-right : 5;
		padding-top : 1;
	}
		</STYLE>
    </head>
    <body>
      <xsl:apply-templates select="type"/>
    </body>
  </html>
  </xsl:template>	

  <xsl:template match="type">
 <p>  <table width="80%">
        <tr valign="TOP">	
        	<xsl:attribute name="class">titlerow_blue</xsl:attribute>
    		 <th style="width: 80px; color: #FFFF66;">TYPE</th>
    		 <th>stringRepresentation</th>
    		 <th>requiOf</th>
    		 <th>comment</th>
    		 <th>responsible</th>
			 <th>default privilege</th>
    		 </tr><xsl:value-of select="$nl"/>
    		 <tr>
	    		 <td style="font-weight: bold;"><xsl:value-of select="@name"/></td>
	    		 <td style="font-weight: bold;"><xsl:value-of select="@stringRep"/></td>
	    		 <td><xsl:value-of select="@requiredOf"/></td>
	    		 <td style="font-weight: bold;"><xsl:value-of select="@comment"/></td>
	    		 <td><xsl:value-of select="@responsibility"/></td>
				 <td><xsl:value-of select="@defaultPrivilege"/></td>
       		 </tr><xsl:value-of select="$nl"/>

       </table><xsl:value-of select="$nl"/>
     <table width="100%">
		<tr valign="TOP">
		<xsl:attribute name="class">titlerow_blue</xsl:attribute>
            <th style="width: 80px; color: #FFFF66;">PROPERTY</th>
            <th>Name</th>
		    <th>typeRef</th>
            <th>toMany</th>
		    <th>dontCopy</th>
            <th>reversePath</th>
            <th>nickName</th>
            <th>values</th>
		    <th>comment</th>
		    <th>responsible</th>
			<th>default privilege</th>
         </tr><xsl:value-of select="$nl"/>
         <xsl:for-each select="property">
         <tr>
		  <xsl:attribute name="class">
				<xsl:choose><xsl:when test="position() mod 2">evenrow_aliceblue</xsl:when><xsl:otherwise>oddrow_white</xsl:otherwise>
				</xsl:choose>
		  </xsl:attribute>
            <td> </td>
            <td><xsl:value-of select="@name"/></td>
			<td><xsl:value-of select="@typeRef"/></td>
			<td><xsl:value-of select="@toMany"/></td>
			<td><xsl:value-of select="@dontCopy"/></td>
			<td><xsl:value-of select="@reversePath"/></td>
			<td><xsl:value-of select="@nickName"/></td>
			<td><xsl:value-of select="@values"/></td>
			<td><xsl:value-of select="@comment"/></td>
			<td><xsl:value-of select="@responsibility"/></td>
			<td><xsl:value-of select="@defaultPrivilege"/></td>
		</tr><xsl:value-of select="$nl"/>
	</xsl:for-each>
    </table><xsl:value-of select="$nl"/></p>
  </xsl:template>


</xsl:stylesheet>